Error al instalar desde la terminal (Solucionado)

Imagen de zoer
0 puntos

Como dice el titulo tengo un error al tratar de instalar cualquier paquete desde la terminal o desde el gestor de paquetes, me manda lo siguiente:
E: burg-theme-dark-shine: el subproceso instalado el script post-removal devolvió el código de salida de error 1
Alguien que me pueda ayudar pues no he encontrado naa parecido para resolverlo, gracias

Imagen de .doc
+1
0
-1

pon un ejemplo (órdenes que introduces en la terminal para instalar 'cualquier paquete')

+1
0
-1
Imagen de zoer
+1
0
-1

Por ejemplo al tratar de instalar super boot manager ejecuto lo siguiente:
sudo add-apt-repository ppa:ingalex/super-boot-manager

sudo apt-get update && sudo apt-get install super-boot-manager

Al tratar de instalarlo con este ultimo sale lo siguiente:

W: Imposible obtener http://ppa.launchpad.net/paul-climbing/ppa/ubuntu/dists/raring/main/bina... 404 Not Found

Esto varias veces y al ultimo sale esto:

E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar

Y no se instala nada, es asi con cualquier aplicacion que quiero instalar

+1
0
-1
Imagen de cuentos
+1
0
-1

difícil adivinar si no vemos todo el error. Como sea ep ppa paul...... ya no esta actualizado para raring
http://ppa.launchpad.net/paul-climbing/ppa/ubuntu/dists/

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de zoer
+1
0
-1

Creo que el problema comenzo cuando instale el tema dark-shine desde la aplicacion de burg manager. Lo he estado tratando de desinstalar pero no se puede lanza un error, he aqui el error:
(Leyendo la base de datos ... 252058 ficheros o directorios instalados actualmente.)
Desinstalando burg-manager ...
Purgando ficheros de configuración de burg-manager ...
dpkg: aviso: al desinstalar burg-manager, el directorio «/usr/share/burg-manager» no está vacío, por lo que no se borra
Procesando disparadores para bamfdaemon ...
Rebuilding /usr/share/applications/bamf-2.index...
Procesando disparadores para desktop-file-utils ...
Procesando disparadores para gnome-menus ...
Procesando disparadores para hicolor-icon-theme ...
Procesando disparadores para libc-bin ...
ldconfig deferred processing now taking place
dpkg: error al procesar burg-theme-dark-shine (--configure):
el paquete burg-theme-dark-shine no está listo para configurarse
no se puede configurar (estado actual `half-installed')
No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
Se encontraron errores al procesar:
burg-theme-dark-shine
E: Sub-process /usr/bin/dpkg returned an error code (1)
Un paquete no se pudo instalar. Tratando de recuperarlo:

Y gracias por contestar pero no he solucionado esto, tendre que formatear otra vez.

+1
0
-1
Imagen de .doc
+1
0
-1

bien, formatear en un buen ejercicio, siempre se aprenden cosas, o al menos permite ir 'automatizando' conceptos.

Otra de las cosas que hay que ir 'asimilando' es que ponerte a cambiar elementos críticos, del root, y sobre todo hacerlo basándote no en paquetes de los repositorios 'oficiales' sino en una paqueteria procedente de repositorios de terceros (PPAs), puede significar, a poco que te descuides, meterte en 'caminos peligrosos'.

En estos casos, cuando quieres probar algo, yo siempre recomiendo tener a mano un CD/pendrive con la herramienta Clonezilla LIve, que te permite tener alguna imagen fiel de tu partición root 'en condiciones de perfecto funcionamiento' (y es bueno tenerla también más o menos actualizada), ya que de esta manera el dar 'el paso a atrás', y restaurar la partición root a la situación anterior solo es cosa de 5 minutos.

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

Abre una terminal.
Ejecuta en ella

sudo su
nano /var/lib/dpkg/status

Busca dentro del archivo la referencia al paquete dañado

Package:  burg-theme-dark-shine
Status: install half-installed
Priority: optional
Section: utils

Y borra todas las líneas hasta el siguiente

Package: 
+1
0
-1
Imagen de zoer
+1
0
-1

Gracias amigos por su ayuda he podido solucionar ese problema, a quien le pase lo mismo chequen tambien esta pagina
http://askubuntu.com/questions/345536/package-dependencies-are-broken

+1
0
-1
Imagen de isralex
+1
0
-1

a mí me a pasado algo similar a lo que le pasa a este usuario. Verán, luego de varios intentos fallidos de instalar windows en mi ordenador me dí cuenta que en el último me borró el GRUB de linux, pero windows no se instaló correctamente, así que me quedé con la portatil sin poder arrancar ( ni de windows ni de linux). Por cierto, la distro de linux que poseía era "Zorin Os" basado en debian derivado de ubuntu. Luego, en otro ordenador procedí a instalar Ubuntu 17.04 en un usb usando YUMI reservando un espacio aprox de 500mb para ubuntu. En mi otro portatil inicié ubuntu desde el usb desde el modo "probar ubuntu" que siempre aparece al principio. Luego, procedí a instalar "boot repair" desde el terminal, descargándolo e instalándolo manualmente y nada. Usé los siguientes comandos para instalar el software
sudo add-apt-repository ppa:yannubuntu/boot-repair
sudo apt-get update
sudo apt-get install boot-repair

y el error que sale es "E:no se ha podido localizar el paquete boot-repair" y así con otros paquetes ppa que he querido instalar y todos me salta el mismo error. Ni siquiera descargándolo manualmente e iniciando el instalador de paquetes se puede.
En conclusión: lo que de verdad me interesa es reparar el GRUB de linux, si tienen otra solución para esto sin necesidad de descargar software adicional, o hay una solución para poder descargar este software estaría agradecido si me responden. Perdón si cometí algún error explicándome, soy nuevo en esto .

+1
0
-1